<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<script>
    var taskData = {
        "Sunrisers Hyderabad": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 0,
            "2012": 0,
            "2013": 10,
            "2014": 6,
            "2015": 7,
            "2016": 11,
            "2017": 8
        },
        "Rising Pune Supergiant": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 0,
            "2012": 0,
            "2013": 0,
            "2014": 0,
            "2015": 0,
            "2016": 0,
            "2017": 10
        },
        "Kolkata Knight Riders": {
            "2008": 6,
            "2009": 3,
            "2010": 7,
            "2011": 8,
            "2012": 12,
            "2013": 6,
            "2014": 11,
            "2015": 7,
            "2016": 8,
            "2017": 9
        },
        "Kings XI Punjab": {
            "2008": 10,
            "2009": 7,
            "2010": 4,
            "2011": 7,
            "2012": 8,
            "2013": 8,
            "2014": 12,
            "2015": 3,
            "2016": 4,
            "2017": 7
        },
        "Royal Challengers Bangalore": {
            "2008": 4,
            "2009": 9,
            "2010": 8,
            "2011": 10,
            "2012": 8,
            "2013": 9,
            "2014": 5,
            "2015": 8,
            "2016": 9,
            "2017": 3
        },
        "Mumbai Indians": {
            "2008": 7,
            "2009": 5,
            "2010": 11,
            "2011": 10,
            "2012": 10,
            "2013": 13,
            "2014": 7,
            "2015": 10,
            "2016": 7,
            "2017": 12
        },
        "Delhi Daredevils": {
            "2008": 7,
            "2009": 10,
            "2010": 7,
            "2011": 4,
            "2012": 11,
            "2013": 3,
            "2014": 2,
            "2015": 5,
            "2016": 7,
            "2017": 6
        },
        "Gujarat Lions": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 0,
            "2012": 0,
            "2013": 0,
            "2014": 0,
            "2015": 0,
            "2016": 9,
            "2017": 4
        },
        "Chennai Super Kings": {
            "2008": 9,
            "2009": 8,
            "2010": 9,
            "2011": 11,
            "2012": 10,
            "2013": 12,
            "2014": 10,
            "2015": 10,
            "2016": 0,
            "2017": 0
        },
        "Rajasthan Royals": {
            "2008": 13,
            "2009": 6,
            "2010": 6,
            "2011": 6,
            "2012": 7,
            "2013": 11,
            "2014": 7,
            "2015": 7,
            "2016": 0,
            "2017": 0
        },
        "Deccan Chargers": {
            "2008": 2,
            "2009": 9,
            "2010": 8,
            "2011": 6,
            "2012": 4,
            "2013": 0,
            "2014": 0,
            "2015": 0,
            "2016": 0,
            "2017": 0
        },
        "Pune Warriors": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 4,
            "2012": 4,
            "2013": 4,
            "2014": 0,
            "2015": 0,
            "2016": 0,
            "2017": 0
        },
        "Kochi Tuskers Kerala": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 6,
            "2012": 0,
            "2013": 0,
            "2014": 0,
            "2015": 0,
            "2016": 0,
            "2017": 0
        },
        "": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 1,
            "2012": 0,
            "2013": 0,
            "2014": 0,
            "2015": 2,
            "2016": 0,
            "2017": 0
        },
        "Rising Pune Supergiants": {
            "2008": 0,
            "2009": 0,
            "2010": 0,
            "2011": 0,
            "2012": 0,
            "2013": 0,
            "2014": 0,
            "2015": 0,
            "2016": 5,
            "2017": 0
        }
    }
    let seriesData = []
    for (let team in taskData) {
        seriesData.push({
            'name': team,
            'data': Object.values(taskData[team])
        })
    }
    var chartData = {
        chartType: 'bar',
        titleText: 'IPL Matches Won',
        subtitleText: 'Source: <a href="https://www.iplt20.com">https://www.iplt20.com</a>',
        tooltip: ' matches',
        xAxisCategories: ['2008', '2009', '2010', '2011', '2012', '2013', '2014', '2015', '2016', '2017'],
        xAxisTitleText: 'Year',
        yAxisTitleText: 'Number Of Matches',
        series: seriesData
    }
</script>
<nav style="display:flex;width:100%;justify-content: space-around;margin-bottom: 10px;background-color:lightseagreen">
        <div><a href="./sample.html">Chart1</a></div>
        </div>
        <div><a href="./task2.html">Chart2</a></div>
        </div>
        <div><a href="./task3.html">Chart3</a></div>
        </div>
        <div><a href="./task4.html">Chart4</a></div>
        </div>
    </nav>
<div id="container" style="min-width: 310px; max-width: 1400px; height: 600px; margin: 0 auto"></div>
<script src="./externaml.js"></script>